package com.jianshui.system.domain;

import com.jianshui.common.annotation.Excel;
import com.jianshui.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 企业扩展属性，包括大象key等对象 companyservice_prop
 * 
 * @author Gong Quanlin
 * @date 2022-04-06
 */
public class CompanyserviceProp extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** companyId */
    private Long companyid;

    /** 属性 */
    @Excel(name = "属性")
    private String key;

    /** 值 */
    @Excel(name = "值")
    private String value;

    public void setCompanyid(Long companyid) 
    {
        this.companyid = companyid;
    }

    public Long getCompanyid() 
    {
        return companyid;
    }
    public void setKey(String key) 
    {
        this.key = key;
    }

    public String getKey() 
    {
        return key;
    }
    public void setValue(String value) 
    {
        this.value = value;
    }

    public String getValue() 
    {
        return value;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("companyid", getCompanyid())
            .append("key", getKey())
            .append("value", getValue())
            .append("remark", getRemark())
            .toString();
    }
}
